OpenNMS API 1.2.9

## org.opennms.netmgt.outage
Class OutageConstants

    java.lang.Object
      org.opennms.netmgt.outage.OutageConstants

public final class OutageConstants
extends java.lang.Object

This class is a repository for constant, static information concerning the Outage Manager.

Author:
  James Zuo , Sowmya Nataraj , OpenNMS

Field Summary
`static java.lang.String` `DB_CLEAR_INTERFACE_SNMP_INFO` The sql statement used to clear snmp related data for a nodeid
`static java.lang.String` `DB_CLEAR_NODE_SNMP_INFO` The sql statement used to clear snmp related data for a nodeid Note: this statement is got depreciated after OpenNMS 1.1.3
`static java.lang.String` `DB_CLOSE_OUTAGES_FOR_UNMANAGED_INTERFACES` The sql statement that is used to close open outages for interfaces that are currently unmanaged
`static java.lang.String` `DB_CLOSE_OUTAGES_FOR_UNMANAGED_SERVICES` The SQL statement that is used to close open outages for services that are currently unmanaged
`static java.lang.String` `DB_COUNT_OPEN_OUTAGES_FOR_INTERFACE` The sql statement that is used to see if there is an 'open' record for a nodeid/ip
`static java.lang.String` `DB_COUNT_OPEN_OUTAGES_FOR_NODE` The sql statement that is used to see if there is an 'open' record for a nodeid
`static java.lang.String` `DB_COUNT_OPEN_OUTAGES_FOR_SVC` The sql statement that is used to see if there is an 'open' record for a nodeid/ip/service
`static java.lang.String` `DB_COUNT_REMAIN_INTERFACES_ON_NODE` The sql statement used to count if there are other interfaces exist on the node except the interface to delete.
`static java.lang.String` `DB_COUNT_REMAIN_SERVICES_ON_INTERFACE` The sql statement used to count if there are other services exist on the interface except the service to delete.
`static java.lang.String` `DB_DELETE_ALL_INTERFACES` The sql statement used to flag all interface entries from the 'ipInterface' table as deleted for a specific node (called when there are only unmanaged interfaces left on the node)
`static java.lang.String` `DB_DELETE_EVENTS_ON_SERVICE` The sql statement used to delete all events from the database based on a node/interface/service tuple
`static java.lang.String` `DB_DELETE_INTERFACE` The sql statement used to flag an entry from the ipInterface table as deleted based on a node/interface pair
`static java.lang.String` `DB_DELETE_NODE` The sql statement used to flag an entry from the node table as deleted based on a node identifier
`static java.lang.String` `DB_DELETE_NOTIFICATIONS_ON_SERVICE` The sql statement used to delete notifications from the database based on a node/interface/service tuple
`static java.lang.String` `DB_DELETE_OUTAGES_ON_SERVICE` The sql statement used to delete all outages from the database based on a node/interface/service tuple
`static java.lang.String` `DB_DELETE_SERVICE` The sql statement used to delete a service from the ifServices table based on a node/interface/service tuple
`static java.lang.String` `DB_DELETE_SNMP_INTERFACE` The sql statement used to delete all entries from the snmpInterface table for a node
`static java.lang.String` `DB_DELETE_SNMP_SERVICE` The sql statement used to flag an entry from the ifServices table as deleted based on a node and the service being SNMP or SNMPv2
`static java.lang.String` `DB_DELETE_USERSNOTIFIED_ON_SERVICE` The sql statement used to delete usersNotified records from the database based on a node/interface/service tuple
`static java.lang.String` `DB_GET_ACTIVE_SERVICES_FOR_INTERFACE` The sql statement used to get all active service entries for a nodeid/ip
`static java.lang.String` `DB_GET_ACTIVE_SERVICES_FOR_NODE` The sql statement used to get all active service entries for a nodeid
`static java.lang.String` `DB_GET_NODE_LABEL` The sql statement used to retrieve the nodeLabel for a nodeid
`static java.lang.String` `DB_GET_SERVICE_COUNT` The sql statement used to determine if there are any remaining entries in the 'ifservices' table for a specific nodeID/ipaddr pair following the deletion of a service entry.
`static java.lang.String` `DB_GET_SNMP_SERVICE` The sql statement used to get all SNMP/SNMPv2 entries for a node from the ifServices that are currently active
`static java.lang.String` `DB_GET_SVC_ID` The sql statement that is used to get serviceID for a service name
`static java.lang.String` `DB_INS_CACHE_HIT` The sql statement used to record an event cache hit
`static java.lang.String` `DB_INS_NEW_OUTAGE` The sql statement that is used to insert an new outage entry
`static java.lang.String` `DB_QUERY_PRIMARY_INTERFACE` The sql statement used to query if an interface is the SNMP primary interface for a nodeid
`static java.lang.String` `DB_REPARENT_OUTAGES` The sql statement used to reparent outage table entries...used when a 'interfaceReparented' event is received.
`static java.lang.String` `DB_UPDATE_OUTAGE_FOR_SERVICE` The sql statement that is used to update the 'regained time' in an open entry
`static java.lang.String` `DB_UPDATE_OUTAGES_FOR_INTERFACE` The sql statement used to close all open outages for a nodeid/ip
`static java.lang.String` `DB_UPDATE_OUTAGES_FOR_NODE` The sql statement used to close all open outages for a nodeid
`static java.lang.String` `SQL_DB_SVC_TABLE_READ` The SQL statement necessary to read service id and service name into map.

Constructor Summary
`OutageConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_DB_SVC_TABLE_READ

    public static final java.lang.String SQL_DB_SVC_TABLE_READ

  The SQL statement necessary to read service id and service name into map.

  See Also:
    Constant Field Values

### DB_CLOSE_OUTAGES_FOR_UNMANAGED_SERVICES

    public static final java.lang.String DB_CLOSE_OUTAGES_FOR_UNMANAGED_SERVICES

  The SQL statement that is used to close open outages for services that are currently unmanaged

  See Also:
    Constant Field Values

### DB_CLOSE_OUTAGES_FOR_UNMANAGED_INTERFACES

    public static final java.lang.String DB_CLOSE_OUTAGES_FOR_UNMANAGED_INTERFACES

  The sql statement that is used to close open outages for interfaces that are currently unmanaged

  See Also:
    Constant Field Values

### DB_GET_SVC_ID

    public static final java.lang.String DB_GET_SVC_ID

  The sql statement that is used to get serviceID for a service name

  See Also:
    Constant Field Values

### DB_COUNT_OPEN_OUTAGES_FOR_SVC

    public static final java.lang.String DB_COUNT_OPEN_OUTAGES_FOR_SVC

  The sql statement that is used to see if there is an 'open' record for a nodeid/ip/service

  See Also:
    Constant Field Values

### DB_COUNT_OPEN_OUTAGES_FOR_INTERFACE

    public static final java.lang.String DB_COUNT_OPEN_OUTAGES_FOR_INTERFACE

  The sql statement that is used to see if there is an 'open' record for a nodeid/ip

  See Also:
    Constant Field Values

### DB_COUNT_OPEN_OUTAGES_FOR_NODE

    public static final java.lang.String DB_COUNT_OPEN_OUTAGES_FOR_NODE

  The sql statement that is used to see if there is an 'open' record for a nodeid

  See Also:
    Constant Field Values

### DB_INS_NEW_OUTAGE

    public static final java.lang.String DB_INS_NEW_OUTAGE

  The sql statement that is used to insert an new outage entry

  See Also:
    Constant Field Values

### DB_UPDATE_OUTAGE_FOR_SERVICE

    public static final java.lang.String DB_UPDATE_OUTAGE_FOR_SERVICE

  The sql statement that is used to update the 'regained time' in an open entry

  See Also:
    Constant Field Values

### DB_GET_SNMP_SERVICE

    public static final java.lang.String DB_GET_SNMP_SERVICE

  The sql statement used to get all SNMP/SNMPv2 entries for a node from the ifServices that are currently active

  See Also:
    Constant Field Values

### DB_DELETE_SNMP_SERVICE

    public static final java.lang.String DB_DELETE_SNMP_SERVICE

  The sql statement used to flag an entry from the ifServices table as deleted based on a node and the service being SNMP or SNMPv2

  See Also:
    Constant Field Values

### DB_CLEAR_NODE_SNMP_INFO

    public static final java.lang.String DB_CLEAR_NODE_SNMP_INFO

  The sql statement used to clear snmp related data for a nodeid Note: this statement is got depreciated after OpenNMS 1.1.3

  See Also:
    Constant Field Values

### DB_CLEAR_INTERFACE_SNMP_INFO

    public static final java.lang.String DB_CLEAR_INTERFACE_SNMP_INFO

  The sql statement used to clear snmp related data for a nodeid

  See Also:
    Constant Field Values

### DB_DELETE_SNMP_INTERFACE

    public static final java.lang.String DB_DELETE_SNMP_INTERFACE

  The sql statement used to delete all entries from the snmpInterface table for a node

  See Also:
    Constant Field Values

### DB_GET_SERVICE_COUNT

    public static final java.lang.String DB_GET_SERVICE_COUNT

  The sql statement used to determine if there are any remaining entries in the 'ifservices' table for a specific nodeID/ipaddr pair following the deletion of a service entry.

  See Also:
    Constant Field Values

### DB_DELETE_INTERFACE

    public static final java.lang.String DB_DELETE_INTERFACE

  The sql statement used to flag an entry from the ipInterface table as deleted based on a node/interface pair

  See Also:
    Constant Field Values

### DB_DELETE_ALL_INTERFACES

    public static final java.lang.String DB_DELETE_ALL_INTERFACES

  The sql statement used to flag all interface entries from the 'ipInterface' table as deleted for a specific node (called when there are only unmanaged interfaces left on the node)

  See Also:
    Constant Field Values

### DB_DELETE_NODE

    public static final java.lang.String DB_DELETE_NODE

  The sql statement used to flag an entry from the node table as deleted based on a node identifier

  See Also:
    Constant Field Values

### DB_REPARENT_OUTAGES

    public static final java.lang.String DB_REPARENT_OUTAGES

  The sql statement used to reparent outage table entries...used when a 'interfaceReparented' event is received.

  See Also:
    Constant Field Values

### DB_GET_ACTIVE_SERVICES_FOR_INTERFACE

    public static final java.lang.String DB_GET_ACTIVE_SERVICES_FOR_INTERFACE

  The sql statement used to get all active service entries for a nodeid/ip

  See Also:
    Constant Field Values

### DB_GET_ACTIVE_SERVICES_FOR_NODE

    public static final java.lang.String DB_GET_ACTIVE_SERVICES_FOR_NODE

  The sql statement used to get all active service entries for a nodeid

  See Also:
    Constant Field Values

### DB_UPDATE_OUTAGES_FOR_INTERFACE

    public static final java.lang.String DB_UPDATE_OUTAGES_FOR_INTERFACE

  The sql statement used to close all open outages for a nodeid/ip

  See Also:
    Constant Field Values

### DB_UPDATE_OUTAGES_FOR_NODE

    public static final java.lang.String DB_UPDATE_OUTAGES_FOR_NODE

  The sql statement used to close all open outages for a nodeid

  See Also:
    Constant Field Values

### DB_INS_CACHE_HIT

    public static final java.lang.String DB_INS_CACHE_HIT

  The sql statement used to record an event cache hit

  See Also:
    Constant Field Values

### DB_COUNT_REMAIN_INTERFACES_ON_NODE

    public static final java.lang.String DB_COUNT_REMAIN_INTERFACES_ON_NODE

  The sql statement used to count if there are other interfaces exist on the node except the interface to delete.

  See Also:
    Constant Field Values

### DB_COUNT_REMAIN_SERVICES_ON_INTERFACE

    public static final java.lang.String DB_COUNT_REMAIN_SERVICES_ON_INTERFACE

  The sql statement used to count if there are other services exist on the interface except the service to delete.

  See Also:
    Constant Field Values

### DB_DELETE_SERVICE

    public static final java.lang.String DB_DELETE_SERVICE

  The sql statement used to delete a service from the ifServices table based on a node/interface/service tuple

  See Also:
    Constant Field Values

### DB_DELETE_USERSNOTIFIED_ON_SERVICE

    public static final java.lang.String DB_DELETE_USERSNOTIFIED_ON_SERVICE

  The sql statement used to delete usersNotified records from the database based on a node/interface/service tuple

  See Also:
    Constant Field Values

### DB_DELETE_NOTIFICATIONS_ON_SERVICE

    public static final java.lang.String DB_DELETE_NOTIFICATIONS_ON_SERVICE

  The sql statement used to delete notifications from the database based on a node/interface/service tuple

  See Also:
    Constant Field Values

### DB_DELETE_OUTAGES_ON_SERVICE

    public static final java.lang.String DB_DELETE_OUTAGES_ON_SERVICE

  The sql statement used to delete all outages from the database based on a node/interface/service tuple

  See Also:
    Constant Field Values

### DB_DELETE_EVENTS_ON_SERVICE

    public static final java.lang.String DB_DELETE_EVENTS_ON_SERVICE

  The sql statement used to delete all events from the database based on a node/interface/service tuple

  See Also:
    Constant Field Values

### DB_QUERY_PRIMARY_INTERFACE

    public static final java.lang.String DB_QUERY_PRIMARY_INTERFACE

  The sql statement used to query if an interface is the SNMP primary interface for a nodeid

  See Also:
    Constant Field Values

### DB_GET_NODE_LABEL

    public static final java.lang.String DB_GET_NODE_LABEL

  The sql statement used to retrieve the nodeLabel for a nodeid

  See Also:
    Constant Field Values

Constructor Detail

### OutageConstants

    public OutageConstants()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.